
<table class="table">
    <thead>
    <tr>
        <th>Prénom Nom</th>
        <th>Email</th>
        <th>Téléphone</th>
        <th style="min-width: 10em;">Adresse</th>
        <th>Commune</th>
        <th>Validé</th>
        <th>Rôle</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    {% for member in group.members %}
        <tr>
            <td>
                {{ member.user.firstName }} {{ member.user.name }}
            </td>
            <td>
                {{ data_helper.getEmail(member.user) }}
            </td>
            <td>
                {{ data_helper.getPhone(member.user) }}
            </td>
            <td>
                {{ data_helper.getAddress(member.user)|raw }}
            </td>
            <td>{{ member.user.publicPlace }}</td>
            <td>
                {% if member.user.convention %}Oui{% else %}Non
                    {% if app.user|default(null) and is_granted('ROLE_CITIZEN') %}
                        <a href="#" actionUrl="{{ path('convention_add', { 'member_id':member.user.id }) }}" class="modal-form btn btn-primary btn-xs"><i
                                    class="fa fa-check"></i></a>
                    {% endif %}
                {% endif %}
            </td>
            <td>

                {% if member.referent %}<span class="label label-blue">Référent.e du groupe</span>
                {% else %}
                    {{ data_helper.getRole(member.user) }}
                {% endif %}
            </td>
            <td>
                {% if  is_granted('REFERENT', group) or is_granted('EDIT_USER_SELF', member.user) %}
                    <span class="pull-right">
                            <a href="#" actionUrl="{{ path('group_unsubscribe', { 'group_id':group.id, 'user_id': member.user.id }) }}" class="modal-form btn btn-primary btn-xs"
                               title="Désinscrire l'utilisateur.trice"><i class="fa fa-fw fa-trash"></i></a>
                                </span>
                {% endif %}
                {% if  is_granted('REFERENT', group) %}
                    <span class="pull-right">
                            <a href="#" actionUrl="{{ path('group_subscribe', { 'group_id':group.id, 'user_id': member.user.id }) }}" class="modal-form btn btn-primary btn-xs"
                               title="Modifier les droits de l'utilisateur.trice"><i class="fa fa-fw fa-edit"></i></a>
                            </span>
                {% endif %}
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>

